#ifndef __MRawPixel__
#define __MRawPixel__

#include <iostream.h>
#include "TObject.h"

#include "Mdefine.h" 


class MRawPixel  : public TObject
 {

 private: 

  UShort_t     usPixelId     ;           //  Identification of PixelNumber and gain branch

  UChar_t      ucPixelStatus ;           //  The Status of the pixel

  UChar_t      aucFadc[ FADC_SLICES ]  ; // The values of fadc-slices.

 public:

  MRawPixel() ; 

  MRawPixel(UShort_t ) ; 

  MRawPixel(UShort_t , UChar_t , UChar_t * ) ; 

  ~MRawPixel() ; 

  void Clear() ; 

  void Print() ; 

  UShort_t GetPixelId() ; 

  UChar_t GetFadcSlice( Int_t  ) ; 

  ClassDef ( MRawPixel, 1 )
  
};  // end of class definition of MRawPixel 


#endif





  




  




